// FPNumerics.cpp

#include "StdHeaders.h"
#include "FPNumerics.h"
#include <Limits.h>



/***********************/
/* FP & Math Utilities */
/***********************/
static long cExpon(int arg1, int arg2)
{
	ASSERTN(kOverflows, arg2 >= 0);	// We're dealing with int's.
	#if WINVER
		long l = 1;
		for (; arg2>0; --arg2) {
			ASSERTN(kOverflows, l * (__int64)arg1 < LONG_MAX );	// Make sure we arn't going to overflow.
			l *= arg1;
		}
		return l;
	#else
		return pow(arg1, arg2);
	#endif
}




